#!/bin/bash

#  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
#
#  This file is part of Lightweight Bartering Grid.
#  Lightweight Bartering Grid is free software;
#  you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  Lightweight Bartering Grid is distributed in the hope that it will be
#  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Lightweight Bartering Grid; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Authors:      Cyril Briquet, Xavier Dalem
# Last revised: March 25th, 2008

# ----------------------------------------------------------------

if ! test $1 ; then
  echo -e "Usage: $0 user@search_engine_machine < gridsites.conf" ;
  exit
fi

# ----------------------------------------------------------------

# Comment (or update) the values of the following 2 lines
# to enable Resources managed by a given Peer to read
# their configuration from a common NFS-mounted directory
# (if the value of LBG_DEPL_DIR is not provided here below,
# the default value is ~/.lbg)
CLUSTER_DEPLOYMENT=false
LBG_DEPL_DIR=/tmp/.grid_dep_dir

# ----------------------------------------------------------------

. lbg_common.sh

greetings deployment

# ----------------------------------------------------------------

deploySearchEngine $1 < /dev/null

while read SITE; do
  if [ -n "${SITE}" ]; then
    deploySite "${SITE}" $1 < /dev/null
  fi
done

echo -e
echo -e "Deployed ${GLOBAL_RES_COUNT} Resources"
echo -e "Deployed Peers:${PEER_LIST}"

# ----------------------------------------------------------------
