/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// GridException.java

package lbg.common.exception;

/**
 * @author Cyril Briquet
 */
public class GridException extends Exception {

    /** Constructs a new GridException.
	 */
	public GridException() {
	
		super();
	
	}

    /** Constructs a new GridException.
     * @param msg message to encapsulate
     */
	public GridException(String msg) {
   
   		super(msg);
	
	}

    /** Constructs a new GridException.
     * @param e Exception to encapsulate
     */
	public GridException(Throwable e) {
		
		super(e);
	
	}

    /** Constructs a new GridException.
     * @param msg message to encapsulate
     * @param e Exception to encapsulate
     */
	public GridException(String msg,Throwable e) {
		
		super(msg,e);
	
	}
	
	// ****************************************************************
	
	static final long serialVersionUID = -6522774323026354286L;

}

