/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// GridNetworkException.java

package lbg.common.exception;

/** Denotes a networking error in grid processes.<br>
 * As it's not due to grid inconsistency, retrying the action that led to
 * this exception might be effective.
 * 
 * @author Xavier Dalem
 */
public class GridNetworkException extends GridException {
	private static final long serialVersionUID = 4531490919054244156L;

	public GridNetworkException(String msg) {
		super(msg);
	}

	public GridNetworkException(String msg, Throwable e) {
		super(msg, e);
	}
}
