/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// GridClassLoaderChecker.java
 
package lbg.middleware.util;

import lbg.middleware.execution.GridClassLoader;
import lbg.middleware.util.SubmissionUtils.MemoryJar;
import lbg.peer.workflow.JobDescriptor;
import lbg.peer.workflow.TaskDescriptor;
import lbg.protocol.data.GridData;

/** Checks if the bytecode contained in a target .jar file
 * can be loaded successfully.
 * @author Xavier Dalem
 */
public class GridClassLoaderChecker {
	
	public static void main(String[] argv) throws Exception {
		
		if (argv.length != 2) {
			System.err.println("\tUsage:\nGridClassLoaderChecker JAR_FILE MAIN_CLASS");
			return;
		}
		
		MemoryJar mj = SubmissionUtils.loadJar(argv[0]);
		JobDescriptor jd = new JobDescriptor();
		jd.add(new TaskDescriptor(mj.classnames, argv[1], new Object[0],
								  new String[0]), mj.classnames, mj.bytecode,
								  new String[0], new GridData[0][0]);

		GridClassLoader loader = new GridClassLoader();
		loader.load(jd);
		System.err.println("Done.");
		
	}
	
}

