/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// SearchEngineChecker.java

package lbg.middleware.util;

import lbg.searchengine.service.*;

/** A Tool to check the handles from a given search engine server
 * @see lbg.searchengine.SearchEngineServer
 * @author Xavier Dalem
 * @since 2007-04-05
 */
public class SearchEngineChecker {
	public static void main(String[] args) throws Exception {
		if (args.length != 2) {
			System.err.println("Usage: java lbg.middleware.SearchEngineChecker"
				+ " host port");
			return;
		}

		SearchEngineHandle seh = new LiveSearchEngineHandle("test", args[0], new Integer(args[1]).intValue());
		System.out.println(seh.getHandles().toString());
	}
}
