/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// TaskRuntimeData.java

package lbg.peer.core.xms;

import lbg.common.exception.*;
import lbg.peer.service.*;
import lbg.task.*;

/**
 * @author Cyril Briquet
 */
public abstract class TaskRuntimeData implements Comparable<TaskRuntimeData> {

	TaskRuntimeData() {
		
	}
	
	public abstract String toString();
	
	public abstract int compareTo(TaskRuntimeData other);
	
	@Override
	public abstract boolean equals(Object obj);
	
	@Override
	public abstract int hashCode();

	public abstract Task getTask();
	
	public abstract long getStartTime();

	public abstract long getTimeOut();

	public abstract void setTimeOut(long time_out) throws GridException;
	
	public abstract ExternalPeerHandle getPeerHandle();
	
	public abstract String getSupplierID();
	
	public abstract boolean getTimeOutActionTag();

	public abstract void setTimeOutActionTag(boolean do_cancel);

	public abstract boolean isTimeOutActionTagModified();

}

