/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// PeerHandle.java

package lbg.peer.service;

import java.io.Serializable;

/** A PeerHandle
 * <ul><li>is a callback Object
 * enabling to contact the Peer that generated it
 * <li>is a client stub that contacts a server stub of the Peer
 * (i.e. PeerService)
 * <li>may have several implementations (Live, Simulated, ...)
 * <li>is used by other Peers,
 * by the Resources owned by the Peer and by the Users of the Peer
 * through, respectively, the subinterfaces 
 * ExternalPeerHandle, InternalPeerHandle and UserPeerHandle
 * </ul>
 * @author Cyril Briquet
 */
public interface PeerHandle extends Comparable<PeerHandle>, Serializable {

	public String id();

	public String hostname();
	
}

