/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// ReliableConsumptionScheduling.java

package lbg.peer.strategy.scheduling.consumption;

import lbg.common.exception.*;
import lbg.peer.*;
import lbg.peer.core.qms.*;
import lbg.peer.core.qms.queue.*;
import lbg.peer.core.scheduler.*;
import lbg.peer.register.negotiation.*;
import lbg.peer.strategy.scheduling.*;
import lbg.peer.strategy.ranking.*;
import lbg.task.*;

/** Storage Affinity-ranked use of Consumption Grants,
 * with TCOR-based blacklisting of unreliable suppliers.
 * @author Cyril Briquet
 */
public class ReliableConsumptionScheduling
	extends DataConsumptionScheduling
	implements ConsumptionSchedulingPolicy {

	public ReliableConsumptionScheduling(Peer managed_peer,Scheduler scheduler)
		throws GridException {
	
		super(managed_peer,scheduler,true);

	}

	public synchronized String toString() {
		
		StringBuilder sb = new StringBuilder();
		
		sb.append("[ReliableConsumptionScheduling]");
		
		return sb.toString();
		
	}

	// ****************************************************************


}

