/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// NoSupplyingScheduling.java

package lbg.peer.strategy.scheduling.supplying;

import lbg.common.exception.*;
import lbg.peer.*;
import lbg.peer.core.scheduler.*;
import lbg.peer.strategy.scheduling.*;

/** No Supplying Scheduling.
 * @author Cyril Briquet
 */
public class NoSupplyingScheduling implements SupplyingSchedulingPolicy {

	public NoSupplyingScheduling(Peer managed_peer,Scheduler scheduler)
		throws GridException {
	
		if (managed_peer == null) {
			throw new GridException("NoSupplyingScheduling(): "+
									"illegal Peer");
		}
		if (scheduler == null) {
			throw new GridException("NoSupplyingScheduling(): "+
									"illegal Scheduler");
		}
		
	}

	/** SupplyingSchedulingPolicy implementation.
	 */
	public synchronized void scheduleSupplyingTasks()
		throws GridException {

		return;
		
	}
	
}

