/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// DecreasingSizeMetaGridDataComparator.java

package lbg.protocol.data;

import java.util.Comparator;
import java.io.Serializable;

/**
 * @author Cyril Briquet
 */
public class DecreasingSizeMetaGridDataComparator
	implements Comparator<MetaGridData>, Serializable {

	// Sort by decreasing data size, then by increasing id
	public int compare(MetaGridData mgd1, MetaGridData mgd2) {
		
		if (mgd1.size < mgd2.size) {
			return +1;
		}
		else if (mgd1.size > mgd2.size) {
			return -1;
		}
		else /* if (mgd1.size == mgd2.size) */ {
			return mgd1.id.compareToIgnoreCase(mgd2.id);
		}
		
	}

	static final long serialVersionUID = -7808416024130942510L;

}

