/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// SimulatedGridData.java

package lbg.protocol.data;

import lbg.*;
import static lbg.VirtualizationLevel.*;
import lbg.common.exception.*;
import java.io.*;

/** Dummy grid data class for use in the LBG Simulator.
 * @author Xavier Dalem, Cyril Briquet
 */
public class SimulatedGridData extends GridData {
	
	/** Creates a dummy grid data.
	 */
	public SimulatedGridData(String id,long size) throws GridException {

		super(id,size);

		if (LightweightBarteringGrid.getMode() != SIM_MODE) {
			throw new GridException("SimulatedGridData(): wrong constructor");
		}
		
	}
	
	/**
	 * Does nothing
	 */
	public void toFile(File f) { }
	
	/** @return null */
	public byte[] getChecksum() {

		return null;

	}
	
	/**
	 * @return null
	 */
	public InputStream getInputStream() {

		return null;

	}

	// ****************************************************************

	static final long serialVersionUID = 267051228857778291L;

	// ****************************************************************

}

