/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// ResourceService.java

package lbg.resource.service;

import lbg.common.exception.*;

/** A ResourceService
 * <ul><li>is a front-end to a Resource
 * <li>is a server stub that is contacted by client stubs of the Resource
 * <li>may have several implementations (Live, Simulated, ...)
 * </ul>
 * @author Cyril Briquet
 */
public interface ResourceService extends AbstractResourceHandle {

	public ResourceHandle createHandle() throws GridException;

}

