/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// SimulatedSearchEngineServer.java

package lbg.searchengine;

import lbg.common.exception.*;
import lbg.common.io.*;

/**
 * @author Cyril Briquet
 */
public class SimulatedSearchEngineServer extends SearchEngineServer {
	
	/** Creates a Search Engine server.
	 * @param id Search Engine id
	 * @param host Search Engine hostname
	 * @param port Search Engine port
	 * @param timeout timeout before handles are checked for activity
	 * (in seconds)
	 */
	public SimulatedSearchEngineServer(String id,String host,int port,
									   int timeout)
		throws GridException {
		
		super(id,host,port,timeout);
		
	}
	
	public String toString() {
	
		return CommonStringHandling.
			replaceTag(super.toString(),"[SearchEngineServer",
									 	"[SimulatedSearchEngineServer");

	}
	
	// ****************************************************************

}

