/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// PolicyEnumeratorPayload.java

package lbg.simulator.tools.generator;

import lbg.common.exception.*;
import lbg.peer.strategy.accounting.*;
import lbg.peer.strategy.negotiation.*;
import lbg.peer.strategy.scheduling.*;

/**
 * @author Cyril Briquet
 */
public class PolicyEnumeratorPayload implements ScenarioPayload {

	public PolicyEnumeratorPayload(BarteringAccountantType ba,
								   ConsumptionNegotiationType cn,
								   SupplyingNegotiationType sn,
								   LocalSchedulingType ls,
								   SupplyingRunningPreemptionType rp,
								   SupplyingWaitingPreemptionType wp,
								   SupplyingFilteringType sf,
								   ConsumptionSchedulingType cs,
								   SupplyingSchedulingType ss)
		throws GridException {

		// TODO input validation
		
		this.ba = ba;
		this.cn = cn;
		this.sn = sn;
		this.ls = ls;
		this.rp = rp;
		this.wp = wp;
		this.sf = sf;
		this.cs = cs;
		this.ss = ss;
		
	}

	// ****************************************************************
	
	public BarteringAccountantType getBarteringAccountantType() {
	
		return this.ba;
	
	}
	
	public ConsumptionNegotiationType getConsumptionNegotiationType() {
	
		return this.cn;
	
	}
	
	public SupplyingNegotiationType getSupplyingNegotiationType() {
	
		return this.sn;
	
	}
	
	public LocalSchedulingType getLocalSchedulingType() {
	
		return this.ls;
	
	}
	
	public SupplyingRunningPreemptionType getSupplyingRunningPreemptionType() {
	
		return this.rp;
	
	}
	
	public SupplyingWaitingPreemptionType getSupplyingWaitingPreemptionType() {
	
		return this.wp;
	
	}
	
	public SupplyingFilteringType getSupplyingFilteringType() {
	
		return this.sf;
	
	}
	
	public ConsumptionSchedulingType getConsumptionSchedulingType() {
	
		return this.cs;
	
	}
	
	public SupplyingSchedulingType getSupplyingSchedulingType() {
	
		return this.ss;
	
	}

	// ****************************************************************
	
	private final BarteringAccountantType ba;
	private final ConsumptionNegotiationType cn;
	private final SupplyingNegotiationType sn;
	private final LocalSchedulingType ls;
	private final SupplyingRunningPreemptionType rp;
	private final SupplyingWaitingPreemptionType wp;
	private final SupplyingFilteringType sf;
	private final ConsumptionSchedulingType cs;
	private final SupplyingSchedulingType ss;

}

