/*
 *  Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem
 *
 *  This file is part of Lightweight Bartering Grid.
 *  Lightweight Bartering Grid is free software;
 *  you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Lightweight Bartering Grid is distributed in the hope that it will be
 *  useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Lightweight Bartering Grid; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// UserServiceFactory.java

package lbg.user.service;

import lbg.*;
import lbg.common.exception.*;
import lbg.user.*;

/**
 * @author Cyril Briquet
 */
public abstract class UserServiceFactory {

	public static UserService createUserService(UserAgent owner_user)
		throws GridException {

		switch (LightweightBarteringGrid.getMode()) {
		case LIVE_MODE:
			return new LiveUserService(owner_user);
		case SIM_MODE:
			return new SimulatedUserService(owner_user);
		default:
			throw new GridException("createUserService(): "+
									"unsupported mode");
		}
		
	}

}

